<?php

#.begin
#.mod[core]
class kernel_init_sxExe extends xIExecutor {
public function onError($result) {$_ENV->quitCrush();}
public function main() {
global $_SLEX;
$_ENV->strutils = xStrUtils::getInst();
$_ENV->utils = xUtils::getInst();
$_ENV->site = (object)$_SLEX['site'];
#.mod[/core]

#.mod[utilities]
xTime::setTimeZone($_SLEX['time']['zone']);
$_ENV->strutils = xStrUtils::getInst();
define('DATENOW', xTime::today());
#.mod[/utilities]

#.mod[memcache]
xMemLock::init();
#.mod[/memcache]

#.mod[cache]
xFileCache::init();
#.mod[/cache]

#.mod[core]
}
}
#.mod[/core]
#.end